+++
title = "PiWeek VIII"
date = 2015-07-18
+++

> While writing this post all the content was deleted because of a hardware
problem and sadly this is less that I wrote originally. :(

This week have been awesome. After two years I finally went back to the
Personal Innovation Week for a second time, and as motivated as it were, I'm
planning to repeat at the end of the year. For those who don't know what a
ΠWEEK is, [its site](http://piweek.tumblr.com/) explains it very well:_ ΠWEEK
/paɪ wiːk/ is an original idea by Kaleidos and it consists in allowing
employees from participant technology companies to leave their ongoing work in
standby and dedicate an entire week to personal projects. The plan is to enjoy
a ΠWEEK every six months, particularly in December and July, and allow
employees to play and innovate_.

Putting it simple: you can either present you own project for people to hop in
or you can join anothers team project and create something, play with new
technologies and of course, learn new stuff. This time the teams and projects
were incredible, I meet up with the Kaleidos team again after a long time (too
long!), played some Winjammers (and got beat every single time), but of
course, learn a few new things as you do every time you play around.

## Our team

![](piweek-viii-team.jpg)

From left to right, top to bottom:

  * Ramiro Sanchez ([@rsanchezbalo](https://twitter.com/rsanchezbalo)): Project leader
  * Juan Francisco Alcantara (no-twitter man): Front-end
  * Andres Moya ([@amoyafoss](https://twitter.com/amoyafoss)): Back-end
  * _Masles Roy_ ([@maslesroy](https://twitter.com/maslesroy)): Illustration
  * Felipe Martin ([@fmartingr](https://twitter.com/fmartingr)): Back-end
  * Antonio de la Torre ([@adelatorrefoss](https://twitter.com/adelatorrefoss)): Front-end

## Our project

![](guild-empire_9xA43PS.png)

Our project, designed by Ramiro and some other friends is a really complex
game in which you take control of a guild and it's guild members playing
against other player's guilds.

Each turn, a player send every guild member to do some actions (line wood-
cutting, praying, breaking a leg to another guild member, etc) and that action
is dice-rolled witch success/failure results. Each member have it's own stats
and adquired conditions (buffs/debuffs) and so on. The MVP idea is to adquire
reputation and the guild who have the most reputation in turn 20 wins, but
there's a 30 page document with a lot of non-developed stuff for the game.

It's was really fun to make stuff different than my daily job routine, using
libraries (or just plain python types) than django. There's a world out there
and even if it was little things you end up always learning something new.

## Honorable mentions

Even if my team end up winning this ΠWEEK, there was projects that also show
how much can you achieve in just five days with a smaill team, my personal two
favourites were:

  * **Zombie time!!**, a multiplayer turn-based-and-real-time zombie survival game. This was expected since I love zombie games. They managed to get an almost fully playable game in just five days, be sure to check it out because it seemed really fun.
  * **UXBox**, an interactive wireflaming tool created because there aren't any real open source options out there.

But of course, there was a lot of projects and people working there, be sure
to check it out in the [official piweek blog](http://piweek.tumblr.com/) or
[in the piweek github group](https://github.com/piweek).

## Conclusion

![](piweek-viii-presentations.jpg)

The ΠWEEK is an awesome event and more companies should start leting their
people use a percentage of the time into personal projects, learning new stuff
and improving their knowledge. Or you can just join the ΠWEEK two weeks a year
so awesome people start making awesome stuff.

Really, if you are a developer and can join this event, do it, and if you are
their boss, **let them do so!**

_Post pictures by
[@bameda](https://twitter.com/bameda/status/621329367780753408),
[@yamila_moreno](https://twitter.com/yamila_moreno) and
[@ilopmar](https://twitter.com/ilopmar/status/622002398341545984)_
